Bug 798891 - Review Request: libtranslit - transliteration library with multiple backends
Review Request: libtranslit - transliteration library with multiple backends
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-01 03:08 EST by Daiki Ueno
Modified: 2014-01-02 05:30 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-04 23:42:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Daiki Ueno 2012-03-01 03:08:57 EST
Spec URL: http://ueno.fedorapeople.org/libtranslit/libtranslit.spec
SRPM URL: http://ueno.fedorapeople.org/libtranslit/libtranslit-0.0.1-1.fc18.src.rpm
Description:
GObject-based Unicode transliteration library with multiple backends.
Comment 1 Parag AN(पराग) 2012-03-02 03:58:06 EST
Review:
+ koji build (f17) ->http://koji.fedoraproject.org/koji/taskinfo?taskID=3845925

+ rpmlint on rpms gave
libtranslit.x86_64: W: spelling-error Summary(en_US) backends -> back ends, back-ends, backhands
libtranslit.x86_64: W: spelling-error %description -l en_US backends -> back ends, back-ends, backhands
libtranslit.x86_64: W: no-documentation
libtranslit.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libtranslit/modules/libtranslitm17n.so
libtranslit.src: W: spelling-error Summary(en_US) backends -> back ends, back-ends, backhands
libtranslit.src: W: spelling-error %description -l en_US backends -> back ends, back-ends, backhands
2 packages and 0 specfiles checked; 0 errors, 6 warnings.

+ source verified with upstream as (sha1sum)
ea9dbe0b4d2bd9495394df307b385686eaffa7a7  ../SOURCES/libtranslit-0.0.1.tar.gz
ea9dbe0b4d2bd9495394df307b385686eaffa7a7  libtranslit-0.0.1.tar.gz

+ package follows packaging guidelines.

APPROVED.
Comment 2 Daiki Ueno 2012-03-02 04:05:23 EST
Thanks for the review, Parag.

New Package SCM Request
=======================
Package Name: libtranslit
Short Description: transliteration library with multiple backends
Owners: ueno
Branches: f17 f16 f15
InitialCC: i18n-team
Comment 3 Gwyn Ciesla 2012-03-02 07:59:51 EST
Git done (by process-git-requests).
Comment 4 Fedora Update System 2012-03-04 23:39:15 EST
libtranslit-0.0.2-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/libtranslit-0.0.2-1.fc15
Comment 5 Fedora Update System 2012-03-04 23:39:24 EST
libtranslit-0.0.2-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libtranslit-0.0.2-1.fc16
Comment 6 Fedora Update System 2012-03-04 23:39:33 EST
libtranslit-0.0.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libtranslit-0.0.2-1.fc17
Comment 7 Fedora Update System 2012-03-09 21:03:36 EST
libtranslit-0.0.2-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 8 Fedora Update System 2012-03-21 21:55:43 EDT
libtranslit-0.0.2-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 9 Fedora Update System 2012-03-21 21:57:25 EDT
libtranslit-0.0.2-1.fc15 has been pushed to the Fedora 15 stable repository.
Comment 10 Pravin Satpute 2013-12-10 00:43:07 EST
Hi Daiki,

   We want to make ibus-typing-booster available on RHEL6, for that purpose we need EPEL6 branch for libtranslit. 
  
   Let me know if you are fine with it, we can do the rest..
Comment 11 Daiki Ueno 2013-12-10 00:59:54 EST
Sure, please.
Comment 12 Pravin Satpute 2013-12-10 01:04:57 EST
Thanks Daiki :)
Comment 13 Pravin Satpute 2013-12-27 04:49:09 EST
I was trying to build this for epel6 but unfortunately gobject-introspection is not available in RHEL-6.

and while trying ELEL-6 for gobject-introspection i found 
https://bugzilla.redhat.com/show_bug.cgi?id=468285#c10

Can we build libtranslit with --disable-introspection and will it work as expected?  

Earlier i thought it will be easier but it looks complicated.
Comment 14 Pravin Satpute 2013-12-31 05:06:20 EST
Finally able to do scratch build but with some alterations:

1.--enable-introspection=no
2. Dropped icu subpackage: EL6 does not have build dependency icu-io

scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6344468
Comment 15 Mike FABIAN 2014-01-02 02:03:52 EST
(In reply to Pravin Satpute from comment #13)
> I was trying to build this for epel6 but unfortunately gobject-introspection
> is not available in RHEL-6.

ibus-typing-booster needs gobject-introspection as well.
Comment 16 Pravin Satpute 2014-01-02 05:30:28 EST
I think good to have that it in BuildRequires of ibus-typing-booster.

Note You need to log in before you can comment on or make changes to this bug.